Redmine - Feature #16373

TextFormatting help for Markdown formatting
2014-03-18 07:15 - Ofer Nave

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 3.1.0

Resolution: Fixed

Description

Just recently became a Redmine user/administrator. Started with 2.4.2, but upgrading to 2.5.0 yesterday once | learned about the

new Markdown support in the core: #15520

Shortly after, | started editing wiki pages and attempted to add an inline image for the first time using the syntax documented here:

RedmineTextFormatting#Inline-images

However, the markup ("Inew_project.png!") ends up rendered as plain-text, rather than being replaced by the inline image of the

same name which | attached to the same Wiki page.

| then went to the Redmine Demo to confirm that | am in, in fact, doing it right:

http://demo.redmine.org/projects/test-of-in-lining-images-in-wiki/wiki/Wiki

So, | suspect this has something to do with changing my setting to Markdown. I'm attaching a screenshot showing the results of my

failed attempt.
From the admin info page:
Redmine 2.5.0.stable.12980

Environment:

Redmine version 2.5.0.stable.12980

Ruby version 1.9.3-p484 (2013-11-22) [x86_64-linux]
Rails version 3.2.17

Environment production

Database adapter Mysql2

Redmine plugins:
no plugin installed

Related issues:

Has duplicate Redmine - Feature #16086: Markdown syntax help button in toolba... Closed

Associated revisions

Revision 14187 - 2015-04-20 09:52 - Toshi MARUYAMA

rename textile wiki syntax help files (#16373)

Revision 14189 - 2015-04-20 13:54 - Toshi MARUYAMA
add English markdown wiki syntax help (#16373)

Contributed by Go MAEDA.

Revision 14190 - 2015-04-20 14:00 - Toshi MARUYAMA

copy English markdown wiki syntax help to other languages (#16373)

Revision 14191 - 2015-04-20 14:14 - Toshi MARUYAMA
add markdown wiki syntax help to tool bar (#16373)

Contributed by Go MAEDA.
https://www.redmine.org/issues/15520
https://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Inline-images
http://demo.redmine.org/projects/test-of-in-lining-images-in-wiki/wiki/Wiki

Revision 14446 - 2015-07-24 06:03 - Jean-Philippe Lang

Removes textile references in markdown help (#16373).

Patch by Mischa The Evil.

Revision 14447 - 2015-07-24 06:05 - Jean-Philippe Lang
Merged r14446 (#16373).

History

#1 - 2014-03-21 01:45 - Jean-Philippe Lang
- Tracker changed from Defect to Feature
- Subject changed from Wiki inline images broken with Markdown to TextFormatting help for Markdown formatting

- Category changed from Wiki to Documentation

The markup you're using (Inew_project.png!) is a Textile markup. If you want to use Markdown, you'll have to use the Markdown markup for that, eg.
I[Alt text](new_project.png).

Part of the documentation available in RedmineTextFormatting is specific to textile formatting. We should split it and add Markdown examples.

#2 - 2014-03-21 01:49 - Ofer Nave

Ah, | see. | had read somewhere that the syntax for linking to internal objects was Redmine-specific, so | assume that meant independant of wiki
syntax. (For example, the syntax for inlining an external image still works the same after the changeover.)

| just tested it to confirm this, and it's working. Thanks!

#3 - 2014-03-21 02:14 - Jean-Philippe Lang

Yes, internal linking syntax does not depend on text formatting setting. The documentation should explain that.
Thanks for your feedback.

#4 - 2014-04-07 12:05 - Toshi MARUYAMA

- Description updated

#5 - 2015-03-09 07:55 - Go MAEDA
- Has duplicate Feature #16086: Markdown syntax help button in toolbar is needed. added

#6 - 2015-03-09 13:04 - Go MAEDA
- File wiki_syntax_md.html added

| have written Markdown version of wiki_syntax.html.
| am going to deal with wiki_syntax_detailed.html too in a few days.

#7 - 2015-03-22 06:37 - Go MAEDA
- File wiki_syntax_detailed_md.html added

Markdown version of wiki_syntax_detailed.html.

#8 - 2015-03-22 14:37 - Go MAEDA
- File markdown_help.diff.gz added

| have created a patch to add Markdown help.
You will be able to see appropriate version of help for the active markup.

#9 - 2015-03-29 07:26 - Go MAEDA

- Target version set to 3.1.0

#10 - 2015-04-20 15:51 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed
Committed from r14187 to r14191, thanks.

#11 - 2015-07-12 11:40 - Mischa The Evil
- File 0001-Remove-remaining-textile-refs-from-_detailed _markdow.patch added

- Status changed from Closed to Reopened

There are still five textile references left in the new *_detailed_markdown.html files. The attached patch fixes them. The patch is created against
source:/trunk@14420 and can be applied using "patch -p1 < 0001...".

#12 - 2015-07-22 11:24 - dezhi xiong

Hi @Go MAEDA, | can see this syntax help link within the official redmine issue editor. But there's no link in my own deploy. Is this link only available
in the official site?

#13 - 2015-07-23 17:12 - Go MAEDA
dezhi xiong wrote:
Hi @Go MAEDA, | can see this syntax help link within the official redmine issue editor. But there's no link in my own deploy. Is this link only

available in the official site?

Markdown help will be available in Redmine 3.1.0 (not yet released). Please wait 3.1.0 or consider overwriting public/help/*/wiki_syntax.html and
public/help/*/wiki_syntax_detailed.html on your installation with wiki_syntax_md.html and wiki_syntax_detailed_md.html.

#14 - 2015-07-24 06:04 - Jean-Philippe Lang
- Status changed from Reopened to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

#15 - 2015-07-25 09:15 - dumb blob

In the discussion starting with http://www.redmine.org/issues/15520#note-11 there was a revelation of Redmine having a special Markdown flavour,
not standard Markdown. This should be visibly emphasized at the beginning of the documentation and in the settings, the name shouldn't be
Markdown any more, but rather Redmine Markdown indicating it's a non-standard Markdown/CommonMark flavour.

Also if you really decide in the end, that HTML will be disabled, this should be also emphasized in the Redmine Markdown help, because it's
another major divergence from the standard Markdown/CommonMark.

#16 - 2015-07-25 10:14 - Go MAEDA

dumb blob, this issue and #15520 are closed.
It would be better to create a new issue if you want to discuss support of inline HTML.

#17 - 2016-07-16 18:20 - Hiroo Hayashi

Could you update http://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingMarkdown page, too?

For Markdown formatting see #15520, #16373 and #21443.

#20497 should be added. Or as dumb blob wrote, adding

Currently HTML is disabled. See #20497 for details.

may be better.

#18 - 2016-07-19 09:00 - Toshi MARUYAMA

Hiroo Hayashi wrote:

Could you update http://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingMarkdown page, too?

You can edit it.

#19 - 2016-07-19 18:29 - Hiroo Hayashi

Maruyama-san,
You can edit it.

Yes, | can.

But | only have wiki_syntax_detailed_md.html. | think it must be generated from a Textile source code.
If you send it to me, | am glad to replace http:/www.redmine.org/projects/redmine/wiki/RedmineTextFormattingMarkdown page with it.

Thank you.
#20 - 2016-07-19 18:50 - Toshi MARUYAMA
Hiroo Hayashi wrote:

Maruyama-san,

You can edit it.

Yes, | can.

But | only have wiki_syntax_detailed_md.html. | think it must be generated from a Textile source code.
If you send it to me,

What do you mean?

#21 - 2016-07-19 18:59 - Hiroo Hayashi

But | only have wiki_syntax_detailed_md.html. | think it must be generated from a Textile source code.
If you send it to me, | am glad to replace http:/www.redmine.org/projects/redmine/wiki/RedmineTextFormattingMarkdown page with it.

What do you mean?

We need a Textile source code (text) to update http://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingMarkdown which is written in
Textile.
Without the textile text | have to convert wiki_syntax_detailed_md.html written in HTML to Textile.

I hope this makes sense for you.

#22 - 2016-07-20 03:46 - Toshi MARUYAMA

| don't know RedmineTextFormattingMarkdown status.
If you think it is not synced with source:trunk/public/help/en/wiki_syntax_detailed markdown.html@15715 ,
You can edit it manually.

#23 - 2016-07-20 04:15 - Hiroo Hayashi

Maruyama-san,

If you think it is not synced with source:trunk/public/help/en/wiki_syntax_detailed markdown.html@15715 ,

It is not sync-ed at a glance.

But | understand the situation by checking history of source:trunk/public/help/en/wiki_syntax_detailed_markdown.html.

| thought Maeda-san attached wiki_syntax_detailed_md.html which was converted from textile.
But you are maintaining the two same contents separately.

I'll try to sync the wiki page with the HTML. Give me some time.

#24 - 2016-07-20 07:01 - Hiroo Hayashi

I'll try to sync the wiki page with the HTML. Give me some time.

Before doing this, I've found we have to sync source:trunk/public/help/en/wiki_syntax_detailed_textile.html with RedmineTextFormattingTextile.
As far as | took a look, RedmineTextFormattingTextile is most maintained. | am going to use RedmineTextFormattingTextile as a master file.
I will sync the Textile helps first. Then | will sync the Markdown helps with the Textile helps.

#25 - 2016-07-20 10:11 - Hiroo Hayashi

I've updated RedmineTextFormattingTextile first. Please double-check.

e changes to be more consistent. (displays, Display, Displays -> displays, etc.)
* merge some lines which were only in source:trunk/public/help/en/wiki_syntax_detailed_textile.html

The section Redmine Links is common to RedmineTextFormattingTextile and RedmineTextFormattingMarkdown (according to the current
documents. | have not test most of them in Markdown mode.)
So I'd like to propose the following change to sync each other. Do you see any concern or problem?

e create a wiki page RedmineTextFormattingRedmineLinks.
¢ Move the section "Redmine Links" into the new wiki page.
¢ let RedmineTextFormattingTextile and RedmineTextFormattingMarkdown include the new wiki page

#26 - 2016-07-23 06:14 - Hiroo Hayashi

So I'd like to propose the following change to sync each other. Do you see any concern or problem?
e create a wiki page RedmineTextFormattingRedmineLinks.

¢ Move the section "Redmine Links" into the new wiki page.
¢ |let RedmineTextFormattingTextile and RedmineTextFormattingMarkdown include the new wiki page

I've made these changes.

#27 - 2016-07-23 12:12 - Hiroo Hayashi

I've updated RedmineTextFormattingTextile and RedmineTextFormattingMarkdown.

RedmineTextFormatting Textile

* Rename the section "Predefined" to "Preformatted Text"
¢ Add preformatted texts to the section "Paragraphs".

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting Textile/diff ?utf8=%E2%9C%93&version=5&version_from=4&commit=%E5%B7

YoAEY%E5%88%86%E3%82%92%E8%A6%8B%E3%82%8B

RedmineTextFormattingMarkdown

e sync with RedmineTextFormattingTextile

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingMarkdown/diff?utf8=%E2%9C%93&version=17&version_from=16&commit=%E

5%B7%AE%E5%88%86%E3%82%92%E8%A6%8B%E3%82%8B

Please double check.

#28 - 2016-07-23 12:31 - Go MAEDA

This issue is closed. Please create a new issue for a new topic.

#29 - 2016-07-23 17:40 - Hiroo Hayashi

This issue is closed. Please create a new issue for a new topic.

I've opened #23413.

Files

Screenshot from 2014-03-18 02_12_57.png 47 KB 2014-03-18 Ofer Nave
wiki_syntax_md.html 4.5 KB 2015-03-09 Go MAEDA
wiki_syntax_detailed_md.html 14.1 KB 2015-03-22 Go MAEDA
markdown_help.diff.gz 230 KB 2015-03-22 Go MAEDA
0001-Remove-remaining-textile-refs-from-_detailed_markdow.patch 111 KB 2015-07-12 Mischa The Evil
